      subroutine pgin(t,s,r,p0)
c  Read thermocline r, p0 from binary file for restart
      include 'params.inc'
      include 'common.inc'
      real t(NX,NY,0:NZ+1),s(NX,NY,0:NZ+1),r(NX,NY,0:NZ+1),p0(NX,NY)
      data lun/10/
      open(unit=lun,file=ifile//'.bin',form='UNFORMATTED',status='OLD')
      read(lun) r
      read(lun) p0
      if(isal.eq.1) then
       read(lun) t
       read(lun) s
      else
       do 10 k=0,NZ+1
        do 10 j=1,NY
         do 10 i=1,NX
          t(i,j,k)=-r(i,j,k)
10     continue
      endif
      close(lun)
      return
      end
      subroutine pgout(it,tt,t,s,r,p0,p,u,v,w)
c  Write thermocline arrays in binary format
      include 'params.inc'
      include 'common.inc'
      real t(NX,NY,0:NZ+1),s(NX,NY,0:NZ+1)
      real r(NX,NY,0:NZ+1),p0(NX,NY),p(NX,NY,NZ+1)
      real u(NX,NY,NZ+1),v(NX,NY,NZ+1),w(NX,NY,NZ+2)
      data lun/20/
      open(unit=lun,file=ofile//'.bin',form='UNFORMATTED',status='NEW')
      write(lun) r
      write(lun) p0
      if(isal.eq.1) then
       write(lun) t
       write(lun) s
      endif
      write(lun) p
      write(lun) u
      write(lun) v
      write(lun) w
      close(lun)
      return
      end
